struct ipclassinfo
{
    struct ipclassinfo * next;
    u_int32_t net;
    u_int32_t mask;
};
	    
#define BAC_BYTES_OVERALL_IN	0
#define BAC_BYTES_OVERALL_OUT 	1
#define BAC_BYTES_MOMENTARY_IN	2
#define BAC_BYTES_MOMENTARY_OUT 3
#define BAC_PKT_OVERALL_IN		4
#define BAC_PKT_OVERALL_OUT		5
#define BAC_PKT_MOMENTARY_IN	6
#define BAC_PKT_MOMENTARY_OUT	7

/*
    bbb
	|||
	||+--- in / out
	|+---- overall / momentary 
    +----- bytes / packets
*/

struct entry
{
	struct entry * next;
	u_int32_t ip;
	long long counters[8];
};

struct top
{
	int n;
	struct entry ** top;
};

struct entry * get_entry(u_int32_t ip);
void add_entry(u_int32_t ip, long long in, long long out);
void zero_entries(void);

int is_ours(struct ipclassinfo * ci, u_int32_t host);
struct ipclassinfo * add_class(char * name, struct ipclassinfo * ci);
struct top * findtop(int n, int counter);
struct entry * get_hostlist(void);

